import pysix
# create one emulator
sx = pysix.Emulator()

#read the listing file and store it's program bytes in the SX's ROM.
listing = pysix.ParseListingFile( "retw_table.lst")
sx.load_rom( listing)

after_read     = 0x0011
end_of_program = 0x0016

sx.set_breakpoint( after_read)
sx.set_breakpoint( end_of_program)

go_on = True
while go_on:
	# run until we've done 10 000 cycles or have hit a breakpoint
	sx.run( 10000) 
	
	#do the right thing from here
	if sx.state.pc == after_read:
		print "just read: ", sx.state.w , ":", chr(sx.state.w)
	elif sx.state.pc == end_of_program:
		go_on = False
print "Done"

